# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.95"
name = "kevy-map"
version = "1.16.0"
authors = ["GOLIA K.K."]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Open-addressing hashtable with bucket-addr prefetch API."
homepage = "https://github.com/goliajp/kevy"
documentation = "https://docs.rs/kevy-map"
readme = "README.md"
keywords = [
    "hashmap",
    "hashtable",
    "open-addressing",
    "swiss",
    "prefetch",
]
categories = ["data-structures"]
license = "Apache-2.0 OR MIT"
repository = "https://github.com/goliajp/kevy"

[lib]
name = "kevy_map"
path = "src/lib.rs"

[[example]]
name = "bench_vs_std"
path = "examples/bench_vs_std.rs"

[[test]]
name = "perf_gate"
path = "tests/perf_gate.rs"

[dependencies.kevy-hash]
version = "1.16.0"

[dependencies.kevy-madvise]
version = "1.16.0"

[dev-dependencies]

[lints.clippy.all]
level = "deny"
priority = 0

[lints.rust]
warnings = "deny"
